export default class PivotData {
    startDateTs: number;
    endDateTs: number;
    private chartTypeCurrent;
    selectedRowsCols: string[][];
    private valCalculated;
    calculateValues: boolean;
    private currentAggregator;
    private allAttrs;
    private pivotData;
    private filteredDataSet;
    private rowAttrs;
    private colAttrs;
    inclusions: Map<string, string[]>;
    private hiddenAttrs;
    private opts;
    unitMap: Map<string, string>;
    constructor(pivotData: any[], filters?: any, unitMap?: Map<string, string>);
    filterDataSet(isTime?: boolean, sortBy?: string): object[];
    groupDataSet(operation?: string, attribute?: string, customFunc?: boolean, timeLineAttr?: string): object[];
    private getKeysAttrsV3(attrs, attrToGroup?, keys?, data?);
    private retrieveValue(array, element?);
    setFilterOnAttr(attr: string, selected: string[]): void;
    getRowKeys(): any[];
    getColKeys(): any[];
    private getKeys();
    readonly allAttr: string[];
    setRowAttrs(rowAttrs: string[]): void;
    setColAttrs(colAttrs: string[]): void;
    private refreshNeeded(initState, newArray, isRow?);
    getRowAttrs(): string[];
    getColAttrs(): string[];
    getData(): any[];
    getKeysOneAttrV2(attr: string, getAll?: boolean): string[];
    isFilterApplied(attr: string): boolean;
    getAgg(): string[];
    getAppropriateTotalBareBone(array: any[], operation: string, attribute: string): number | number[];
    getWidgetsWithData(attrs: string[], attrsWithAgg?: Array<{
        attr: string;
        agg: string;
    }>): Promise<any>;
    private doANestedThing(attrs, dataSet?);
    private reduceNest(inputResult, attrs, index?);
    private quickGroupMap(inputArray, param, operation?);
    isValid(): boolean;
    getChosenFilters(renderer?: string): object | string;
    setData(val: any): void;
    setUnitMap(newMap: Map<string, string>): void;
    sortIndicatorRenderer(cellProperties: any): any;
    headerRenderer(cellProperties: any): any;
    totalRenderer(cellProperties: any): any;
    dataRenderer(cellProperties: any): any;
    strMapToObj(strMap: Map<any, any>): object | boolean;
    objToStrMap(object: any): Map<any, any>;
    private setStartEndDate();
}
